Subject: Names for prerelease pkgs
To: None <tech-pkg@NetBSD.ORG>
From: Martin Husemann <>
List: tech-pkg
Date: 03/11/2001 10:50:38

It seems we are lacking some notation for prerelease packages. The case
where I hit this is the sysutils/nut-ups packages. We currently have 0.44.2
in tree, and I'd like to update to the 0.44.3 prerelease 5.

Using nut-ups-0.44.3pre5 or nut-ups-0.44.3b5 would erroneously match
dependecies like >=0.44.3.

So, in this case there are no pkgs depending on this - but the general question
remains: how should we name prerelease packages and should we add special code
to handle this to the version matching code?